/*
 * 5799-WZQ (C) COPYRIGHT IBM CORPORATION 1986
 * LICENSED MATERIALS - PROPERTY OF IBM
 * REFER TO COPYRIGHT INSTRUCTIONS FORM NUMBER G120-2083
 */
/* $Header:line.h 12.0$ */
/* $ACIS:line.h 12.0$ */
/* $Source: /ibm/acis/usr/src/ibm/lpfilter/txt3812/RCS/line.h,v $ */

#if !defined(lint) && !defined(LOCORE)  && defined(RCS_HDRS)
static char *rcsidline = "$Header:line.h 12.0$";
#endif

typedef struct LINE {
    		char *ln_chars;		/* chars to be printed on line   */
		int   ln_start;		/* column of first char on line  */
		int   ln_len;		/* number of chars to be printed */
		int   ln_max;		/* max number of chars on line   */
		int   ln_curpos;	/* current position on line      */
		struct LINE *ln_next;   /* any overstrikes               */
	    } line;

int ln_debug;

extern line *ln_New();
extern int   ln_Scan();
extern int   ln_SScan();
extern int   ln_Append();
extern int   ln_SAppend();
extern int   ln_Print();

